<?php
/**
 * Divine.
 *
 * @package      Divine
 * @link         http://restored316designs.com/themes
 * @author       Lauren Gaige // Restored 316 LLC
 * @copyright    Copyright (c) 2015, Restored 316 LLC, Released 3/11/2015
 * @license      GPL-2.0+
 */

// Removes the breadcrumb navigation.
remove_action( 'genesis_before_loop', 'genesis_do_breadcrumbs' );

// Removes the post info function.
remove_action( 'genesis_entry_header', 'genesis_post_info' );

// Removes the post content.
remove_action( 'genesis_entry_content', 'genesis_do_post_content' );

// Removes the post image.
remove_action( 'genesis_entry_content', 'genesis_do_post_image', 8 );

add_filter( 'body_class', 'divine_add_archive_body_class' );
/**
 * Adds archive class to the body element.
 *
 * @since 1.0.0
 *
 * @param  array $classes Array of body classes.
 * @return array $classes Updated array of body classes.
 */
function divine_add_archive_body_class( $classes ) {

	$classes[] = 'divine-archive';
	return $classes;

}

add_action( 'genesis_entry_header', 'divine_archive_grid', 9 );
/**
 * Adds the featured image before post title.
 *
 * @since 1.0.0
 */
function divine_archive_grid() {

	if ( $image = genesis_get_image( 'format=url&size=blog-square-featured' ) ) {
		printf( '<div class="divine-featured-image"><a href="%s" rel="bookmark"><img src="%s" alt="%s" /></a></div>', get_permalink(), $image, the_title_attribute( 'echo=0' ) );

	}

}

add_action( 'genesis_before_loop', 'display_category_archives_description' );
/**
 * Displays Category Description.
 *
 * @since 1.0.0
 */
function display_category_archives_description() {
	echo category_description( '$category_id' );
}

// Removes the post meta function.
remove_action( 'genesis_entry_footer', 'genesis_post_meta' );

// Runs the Genesis loop.
genesis();
